Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.pstricks
Class BeginPsPictureExpression

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.util.SequenceExpression
              jpicedt.format.input.pstricks.BeginPsPictureExpression

All Implemented Interfaces:
  ExpressionConstants

public class BeginPsPictureExpression
extends SequenceExpression
implements ExpressionConstants

\begin{pspicture}(x0,y0)(x1,y1) -> defines a box with BL=(x0,y0) and TR=(x1,y1)
\begin{pspicture}*(x0,y0)(x1,y1) -> clipped
\begin{pspicture}[baseline](x0,y0)(x1,y1) -> changes baseline (see pstricks's doc p.41)
\begin{pspicture}[](x0,y0)(x1,y1) -> baseline passes across the origine
And the same commands with \pspicture (that is, TeX-like).

Version:
  $Id: BeginPsPictureExpression.java,v 1.4.2.1 2007/09/02 11:56:09 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Constructor Summary
`BeginPsPictureExpression()`

Method Summary
`String` | `toString()`

Methods inherited from class jpicedt.format.input.util.SequenceExpression
`add, interpret`

Methods inherited from class jpicedt.format.input.util.AbstractRegularExpression
`action`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeginPsPictureExpression

    public BeginPsPictureExpression()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `SequenceExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org